## boot\.loader\.grub\.catppuccin\.enable

Whether to enable Catppuccin theme\.



*Type:*
boolean



*Default:*
` false `



*Example:*
` true `

*Declared by:*
 - [/nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos](file:///nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos)



## boot\.loader\.grub\.catppuccin\.flavour



Catppuccin flavour for grub



*Type:*
one of “latte”, “frappe”, “macchiato”, “mocha”



*Default:*
` "mocha" `

*Declared by:*
 - [/nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos](file:///nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos)



## boot\.plymouth\.catppuccin\.enable



Whether to enable Catppuccin theme\.



*Type:*
boolean



*Default:*
` false `



*Example:*
` true `

*Declared by:*
 - [/nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos](file:///nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos)



## boot\.plymouth\.catppuccin\.flavour



Catppuccin flavour for plymouth



*Type:*
one of “latte”, “frappe”, “macchiato”, “mocha”



*Default:*
` "mocha" `

*Declared by:*
 - [/nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos](file:///nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos)



## catppuccin\.enable



Whether to enable Catppuccin globally\.



*Type:*
boolean



*Default:*
` false `



*Example:*
` true `

*Declared by:*
 - [/nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos](file:///nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos)



## catppuccin\.accent



Global Catppuccin accent



*Type:*
one of “blue”, “flamingo”, “green”, “lavender”, “maroon”, “mauve”, “peach”, “pink”, “red”, “rosewater”, “sapphire”, “sky”, “teal”, “yellow”



*Default:*
` "mauve" `

*Declared by:*
 - [/nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos](file:///nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos)



## catppuccin\.flavour



Global Catppuccin flavour



*Type:*
one of “latte”, “frappe”, “macchiato”, “mocha”



*Default:*
` "mocha" `

*Declared by:*
 - [/nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos](file:///nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos)



## catppuccin\.sources



Port sources used across all options



*Type:*
lazy attribute set of raw value



*Default:*
` "{ ... }" `

*Declared by:*
 - [/nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos](file:///nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos)



## console\.catppuccin\.enable



Whether to enable Catppuccin theme\.



*Type:*
boolean



*Default:*
` false `



*Example:*
` true `

*Declared by:*
 - [/nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos](file:///nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos)



## console\.catppuccin\.flavour



Catppuccin flavour for console



*Type:*
one of “latte”, “frappe”, “macchiato”, “mocha”



*Default:*
` "mocha" `

*Declared by:*
 - [/nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos](file:///nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos)



## services\.displayManager\.sddm\.catppuccin\.enable



Whether to enable Catppuccin theme\.



*Type:*
boolean



*Default:*
` false `



*Example:*
` true `

*Declared by:*
 - [/nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos](file:///nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos)



## services\.displayManager\.sddm\.catppuccin\.background



Background image to use for the login screen



*Type:*
path or string



*Default:*
` "" `

*Declared by:*
 - [/nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos](file:///nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos)



## services\.displayManager\.sddm\.catppuccin\.flavour



Catppuccin flavour for sddm



*Type:*
one of “latte”, “frappe”, “macchiato”, “mocha”



*Default:*
` "mocha" `

*Declared by:*
 - [/nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos](file:///nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos)



## services\.displayManager\.sddm\.catppuccin\.font



Font to use for the login screen



*Type:*
string



*Default:*
` "Noto Sans" `

*Declared by:*
 - [/nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos](file:///nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos)



## services\.displayManager\.sddm\.catppuccin\.fontSize



Font size to use for the login screen



*Type:*
string



*Default:*
` "9" `

*Declared by:*
 - [/nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos](file:///nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos)



## services\.displayManager\.sddm\.catppuccin\.loginBackground



Add an additional background layer to the login panel



*Type:*
boolean



*Default:*
` true `

*Declared by:*
 - [/nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos](file:///nix/store/0l5anlzfsi1xv9f0an30ijk4m86vam9z-source/modules/nixos)


